use 教学成绩管理数据库    --一段一段选中执行
select * into 女生表 from 学生信息表
where 性别='女'
--刷新当前库的用户表，看看有无【女生表】
select * from 女生表

select * into #李姓公子表 from 学生信息表
where 性别='男' and 姓名 like '李%'
--刷新当前库的用户表，看看有无【#李姓公子表】
--刷新【tempdb】库的用户表，看看有无【#李姓公子表】

select * from #李姓公子表   --加＃在当前库可查询其临时表

drop table #李姓公子表    --在当前库可删除[tempdb]的临时表
